
locals {
  access_iam_role_description = var.access_iam_role_description
  access_iam_role_name = var.access_iam_role_name
  access_iam_role_path = var.access_iam_role_path
  access_iam_role_permissions_boundary = var.access_iam_role_permissions_boundary
  access_iam_role_policies = var.access_iam_role_policies
  access_iam_role_tags = var.access_iam_role_tags
  access_iam_role_use_name_prefix = var.access_iam_role_use_name_prefix
  access_iam_statements = var.access_iam_statements
  access_kms_key_arns = var.access_kms_key_arns
  access_secret_arns = var.access_secret_arns
  access_source_s3_bucket_arns = var.access_source_s3_bucket_arns
  access_target_dynamodb_table_arns = var.access_target_dynamodb_table_arns
  access_target_elasticsearch_arns = var.access_target_elasticsearch_arns
  access_target_kinesis_arns = var.access_target_kinesis_arns
  access_target_s3_bucket_arns = var.access_target_s3_bucket_arns
  certificates = var.certificates
  create = var.create
  create_access_iam_role = var.create_access_iam_role
  create_access_policy = var.create_access_policy
  create_iam_roles = var.create_iam_roles
  create_repl_instance = var.create_repl_instance
  create_repl_subnet_group = var.create_repl_subnet_group
  enable_redshift_target_permissions = var.enable_redshift_target_permissions
  endpoints = var.endpoints
  event_subscription_timeouts = var.event_subscription_timeouts
  event_subscriptions = var.event_subscriptions
  iam_role_permissions_boundary = var.iam_role_permissions_boundary
  iam_role_tags = var.iam_role_tags
  repl_instance_allocated_storage = var.repl_instance_allocated_storage
  repl_instance_allow_major_version_upgrade = var.repl_instance_allow_major_version_upgrade
  repl_instance_apply_immediately = var.repl_instance_apply_immediately
  repl_instance_auto_minor_version_upgrade = var.repl_instance_auto_minor_version_upgrade
  repl_instance_availability_zone = var.repl_instance_availability_zone
  repl_instance_class = var.repl_instance_class
  repl_instance_engine_version = var.repl_instance_engine_version
  repl_instance_id = var.repl_instance_id
  repl_instance_kms_key_arn = var.repl_instance_kms_key_arn
  repl_instance_multi_az = var.repl_instance_multi_az
  repl_instance_network_type = var.repl_instance_network_type
  repl_instance_preferred_maintenance_window = var.repl_instance_preferred_maintenance_window
  repl_instance_publicly_accessible = var.repl_instance_publicly_accessible
  repl_instance_subnet_group_id = var.repl_instance_subnet_group_id
  repl_instance_tags = var.repl_instance_tags
  repl_instance_timeouts = var.repl_instance_timeouts
  repl_instance_vpc_security_group_ids = var.repl_instance_vpc_security_group_ids
  repl_subnet_group_description = var.repl_subnet_group_description
  repl_subnet_group_name = var.repl_subnet_group_name
  repl_subnet_group_subnet_ids = var.repl_subnet_group_subnet_ids
  repl_subnet_group_tags = var.repl_subnet_group_tags
  replication_tasks = var.replication_tasks
  s3_endpoints = var.s3_endpoints
  tags = var.tags
}
